#include <stdio.h>

// Z80-MBC I/O ports definition
__sfr __at 0x00 User;                       // Define USER led / USER Key port
__sfr __at 0x01 Serial;                     // Define Serial Tx/Rx port

char    c, message[] = "Hello Folk!";
int     i;
    
void delay(unsigned short d)
{
    unsigned long long i, j;
    j= (unsigned long long) d * 1000;
    for (i=0; i < j; i++ );
}
     
void main(void) { 
    printf("\n");
    printf(message);
    printf("\n");
    printf("\nJust some counts...\n\n");
    for (i=0; i<11; i++) printf("I=%d\n", i);

    printf("\nPress USER key to continue...");
    while (User == 0);
    
    printf("\nPress 'b' to start blinking >");
    do
        c = getchar();
    while ((c != 'b') && (c != 'B'));
    putchar('b');
    
    printf("\n\nAt last start blinking...");
    delay(10);
    
    printf("\nNow blinking...\n\n");
    
    printf ("%c[2J",27);                            // Clear screen
    printf ("%c[?25l",27);                          // Cursor invisible
    while (1)
    {
        User = 1;
        ;printf("\r");
        printf ("%c[15;30H",27);
        printf ("%c[7m * * LED on  * * ",27);       // Print reverse
        delay(12);
        printf ("%c[m",27);                         // Reset all attributes
        printf ("%c[15;30H",27);
        printf (" * * LED off * * ");
        User = 0;
        delay(12);
    }
} 